Skip to main content

Get all service requests

GEThttps://api.propexo.com/v1/service-requests/

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100
x_id string

The external ID from the integration vendor

location_id string

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

unit_id string

The Propexo unique identifier for the unit

employee_id string

The Propexo unique identifier for the employee

vendor_id string

The Propexo unique identifier for the vendor

property_id string

The Propexo unique identifier for the property

integration_id string

The Propexo unique identifier for the integration

integration_vendor string
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST

The property management system of record

unit_number string

The unit number of the service request. When using this, the Propexo property_id filter must be added as well.

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the service request

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    MethodInterface
    /v0/work_ordersWork Orders
    Example: fec7f7e6-09fe-4cac-9975-50af62e90d2b
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    MethodInterface
    /v0/work_ordersWork Orders
    Example: d8b7c5c7-5333-4336-8003-39518f9ac672
    x_location_idnullrequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    Notice

    This field will always be null for APPFOLIO

    Example: null
    x_unit_idstring | nullnullablerequired

    The external ID of the unit from the integration vendor

    MethodInterface
    /v0/work_ordersWork Orders
    Example: fa6cdad0-56d5-4da8-8a8b-828cadaa5c81
    x_sub_task_idnullrequired

    The external ID of the sub task from the integration vendor

    Notice

    This field will always be null for APPFOLIO

    Example: null
    access_is_authorizedboolean | nullnullablerequired

    Whether or not the tenant has granted permission to enter the unit associated with the service request

    MethodInterface
    /v0/work_ordersWork Orders
    Example: true
    access_notesnullrequired

    Notes regarding access to the unit associated with the service request

    Notice

    This field will always be null for APPFOLIO

    Example: null
    buildingnullrequired

    The building name associated with the service request

    Notice

    This field will always be null for APPFOLIO

    Example: null
    completion_notesnullrequired

    Closing notes associated with the service request

    Notice

    This field will always be null for APPFOLIO

    Example: null
    date_completedstring | nullnullablerequired

    The date the service request was completed

    MethodInterface
    /v0/work_ordersWork Orders
    Example: 2023-09-02T00:00:00.000Z
    date_createdstring | nullnullablerequired

    The date the service request was created

    MethodInterface
    /v0/work_ordersWork Orders
    Example: 2023-09-01T15:00:50.000Z
    date_duestring | nullnullablerequired

    The due date associated with the service request

    MethodInterface
    /v0/work_ordersWork Orders
    Example: 2023-09-09:00:00Z
    date_scheduledstring | nullnullablerequired

    The date the service request is scheduled

    MethodInterface
    /v0/work_ordersWork Orders
    Example: 2023-09-10:00:00Z
    notesnullrequireddeprecated

    DEPRECATED: Please use 'history' for reading notes regarding the service request

    Notice

    This field will always be null for APPFOLIO

    Example: null
    service_categorynullrequired

    The category of service request

    Notice

    This field will always be null for APPFOLIO

    Example: null
    service_descriptionstring | nullnullablerequired

    A description of the service request

    MethodInterface
    /v0/work_ordersWork Orders
    Example: The dishwasher isn't filling with water.
    service_detailsnullrequired

    Details about the service request

    Notice

    This field will always be null for APPFOLIO

    Example: null
    service_prioritystring | nullnullablerequired

    The priority level associated with the service request

    MethodInterface
    /v0/work_ordersWork Orders
    Example: Normal
    status_rawstring | nullnullablerequired

    The raw status associated with the service request

    MethodInterface
    /v0/work_ordersWork Orders
    Example: Completed
    vendor_notesstring | nullnullablerequired

    Vendor/technician notes associated with the service request

    MethodInterface
    /v0/work_ordersWork Orders
    Example: Go in through the back door
    unit_numbernullrequired

    The unit number associated with the service request. This isn't always provided by PMS vendors, but may be the only data provided to identify a unit associated with a service request in some cases.

    Notice

    This field will always be null for APPFOLIO

    Example: null
    order_numberstring | nullnullablerequired

    The order number of the service request

    MethodInterface
    /v0/work_ordersWork Orders
    Example: 1-1
    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum13required

    The property management system of record

    Show 13 enum values
    APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST
    Example: APPFOLIO
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
    unit_idstring | nullnullablerequired

    The Propexo unique identifier for the unit

    MethodInterface
    /v0/work_ordersWork Orders
    Example: cm0bd4a7t5891358981g4kjr9rrtef
    employee_idnullrequired

    The Propexo unique identifier for the employee

    Notice

    This field will always be null for APPFOLIO

    Example: null
    vendors object[]required

    List of vendor IDs associated with the service request

    Notice

    This field is not currently hydrated for APPFOLIO

  • Array [
  • vendor_idstringrequired
  • ]
  • history object[]required

    History of notes and/or updates related to the service request

    Notice

    This field is not currently hydrated for APPFOLIO

  • Array [
  • idstringrequired

    The Propexo unique identifier for the service request history

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstringrequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    x_created_atstring | nullnullablerequired

    The date the record first entered the integration vendor

    Notice

    This field is not currently hydrated for APPFOLIO

    notesstringrequired

    Notes describing the service request history

    Notice

    This field is not currently hydrated for APPFOLIO

    creator_namestring | nullnullablerequired

    The name of the person or user that created the service request history

    Notice

    This field is not currently hydrated for APPFOLIO

    status_rawstring | nullnullablerequired

    The raw status from the service request history

    Notice

    This field is not currently hydrated for APPFOLIO

    service_request_idstringrequired

    The Propexo unique identifier for the service request

    Notice

    This field is not currently hydrated for APPFOLIO

  • ]
  • employees object[]required

    An array of all employees assigned to the service request

  • Array [
  • idstringrequired

    The Propexo unique identifier for the employee

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    MethodInterface
    /v0/usersUsers
    Example: 83195628-7732-4855-ac67-1ee4904d7bab
    namestring | nullnullablerequired

    The name associated with the employee

    MethodInterface
    /v0/usersUsers
    Example: John Doe
  • ]
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/service-requests/
curl https://api.propexo.com/v1/service-requests/ \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "fec7f7e6-09fe-4cac-9975-50af62e90d2b",
"x_property_id": "d8b7c5c7-5333-4336-8003-39518f9ac672",
"x_location_id": null,
"x_unit_id": "fa6cdad0-56d5-4da8-8a8b-828cadaa5c81",
"x_sub_task_id": null,
"access_is_authorized": true,
"access_notes": null,
"building": null,
"completion_notes": null,
"date_completed": "2023-09-02T00:00:00.000Z",
"date_created": "2023-09-01T15:00:50.000Z",
"date_due": "2023-09-09:00:00Z",
"date_scheduled": "2023-09-10:00:00Z",
"service_category": null,
"service_description": "The dishwasher isn't filling with water.",
"service_details": null,
"service_priority": "Normal",
"status_raw": "Completed",
"vendor_notes": "Go in through the back door",
"unit_number": null,
"order_number": "1-1",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "APPFOLIO",
"property_id": "clwi5xiix000008l6ctdgafyh",
"unit_id": "cm0bd4a7t5891358981g4kjr9rrtef",
"employee_id": null,
"vendors": [
{
"vendor_id": "string"
}
],
"history": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "string",
"x_created_at": "string",
"notes": "string",
"creator_name": "string",
"status_raw": "string",
"service_request_id": "string"
}
],
"employees": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "83195628-7732-4855-ac67-1ee4904d7bab",
"name": "John Doe"
}
]
}
]
}